Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 2205)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 2322)
@@ -16,4 +16,5 @@
 	public $name = 'IP Filter';
 	public $has_gui = true;
+	public $help = 'ip-filter';
 
 	private $con;
Index: plugins/antispam/filters/class.dc.filter.iplookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 2205)
+++ plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 2322)
@@ -16,4 +16,5 @@
 	public $name = 'IP Lookup';
 	public $has_gui = true;
+	public $help = 'iplookup-filter';
 
 	private $default_bls = 'sbl-xbl.spamhaus.org , bsb.spamlookup.net';
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 2205)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 2322)
@@ -16,4 +16,5 @@
 	public $has_gui = true;
 	public $name = 'Bad Words';
+	public $help = 'words-filter';
 
 	private $con;
Index: plugins/antispam/inc/class.dc.spamfilter.php
===================================================================
--- plugins/antispam/inc/class.dc.spamfilter.php	(revision 1179)
+++ plugins/antispam/inc/class.dc.spamfilter.php	(revision 2322)
@@ -19,4 +19,5 @@
 	public $order = 100;
 	public $auto_delete = false;
+	public $help = null;
 	
 	protected $has_gui = false;
@@ -158,4 +159,8 @@
 		return sprintf($link,$this->name,$url);
 	}
+
+	public function help()
+	{
+	}
 }
 ?>
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 2256)
+++ plugins/antispam/index.php	(revision 2322)
@@ -138,4 +138,8 @@
 
 	echo $filter_gui;
+
+	if ($filter->help) {
+		dcPage::helpBlock($filter->help);
+	}
 }
 else
@@ -250,5 +254,8 @@
 		'</ul>';
 	}
-}
+
+	dcPage::helpBlock('antispam','antispam-filters');
+}
+
 ?>
 
Index: plugins/antispam/locales/en/help/filters.html
===================================================================
--- plugins/antispam/locales/en/help/filters.html	(revision 2322)
+++ plugins/antispam/locales/en/help/filters.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Filters</title>
+</head>
+
+<body>
+
+<h4>Filters</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/en/help/help.html
===================================================================
--- plugins/antispam/locales/en/help/help.html	(revision 2322)
+++ plugins/antispam/locales/en/help/help.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Antispam</title>
+</head>
+
+<body>
+
+<h4>Antispam</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/en/help/ip.html
===================================================================
--- plugins/antispam/locales/en/help/ip.html	(revision 2322)
+++ plugins/antispam/locales/en/help/ip.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>IP Filter</title>
+</head>
+
+<body>
+
+<h4>IP Filter</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/en/help/iplookup.html
===================================================================
--- plugins/antispam/locales/en/help/iplookup.html	(revision 2322)
+++ plugins/antispam/locales/en/help/iplookup.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>IP Lookup Filter</title>
+</head>
+
+<body>
+
+<h4>IP Lookup Filter</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/en/help/words.html
===================================================================
--- plugins/antispam/locales/en/help/words.html	(revision 2322)
+++ plugins/antispam/locales/en/help/words.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Words Filter</title>
+</head>
+
+<body>
+
+<h4>Words Filter</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/en/resources.php
===================================================================
--- plugins/antispam/locales/en/resources.php	(revision 2322)
+++ plugins/antispam/locales/en/resources.php	(revision 2322)
@@ -0,0 +1,34 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['antispam']))
+{
+	$__resources['help']['antispam'] = dirname(__FILE__).'/help/help.html';
+}
+if (!isset($__resources['help']['antispam-filters']))
+{
+	$__resources['help']['antispam-filters'] = dirname(__FILE__).'/help/filters.html';
+}
+if (!isset($__resources['help']['ip-filter']))
+{
+	$__resources['help']['ip-filter'] = dirname(__FILE__).'/help/ip.html';
+}
+if (!isset($__resources['help']['iplookup-filter']))
+{
+	$__resources['help']['iplookup-filter'] = dirname(__FILE__).'/help/iplookup.html';
+}
+if (!isset($__resources['help']['words-filter']))
+{
+	$__resources['help']['words-filter'] = dirname(__FILE__).'/help/words.html';
+}
+
+?>
Index: plugins/antispam/locales/fr/help/filters.html
===================================================================
--- plugins/antispam/locales/fr/help/filters.html	(revision 2322)
+++ plugins/antispam/locales/fr/help/filters.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Filtres antispam</title>
+</head>
+
+<body>
+
+<h4>Filtres antispam</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/fr/help/help.html
===================================================================
--- plugins/antispam/locales/fr/help/help.html	(revision 2322)
+++ plugins/antispam/locales/fr/help/help.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Antispam</title>
+</head>
+
+<body>
+
+<h4>Antispam</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/fr/help/ip.html
===================================================================
--- plugins/antispam/locales/fr/help/ip.html	(revision 2322)
+++ plugins/antispam/locales/fr/help/ip.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>IP Filter</title>
+</head>
+
+<body>
+
+<h4>IP Filter</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/fr/help/iplookup.html
===================================================================
--- plugins/antispam/locales/fr/help/iplookup.html	(revision 2322)
+++ plugins/antispam/locales/fr/help/iplookup.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>IP Lookup Filter</title>
+</head>
+
+<body>
+
+<h4>IP Lookup Filter</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/fr/help/words.html
===================================================================
--- plugins/antispam/locales/fr/help/words.html	(revision 2322)
+++ plugins/antispam/locales/fr/help/words.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Words Filter</title>
+</head>
+
+<body>
+
+<h4>Words Filter</h4>
+
+</body>
+</html>
Index: plugins/antispam/locales/fr/resources.php
===================================================================
--- plugins/antispam/locales/fr/resources.php	(revision 2322)
+++ plugins/antispam/locales/fr/resources.php	(revision 2322)
@@ -0,0 +1,34 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['antispam']))
+{
+	$__resources['help']['antispam'] = dirname(__FILE__).'/help/help.html';
+}
+if (!isset($__resources['help']['antispam-filters']))
+{
+	$__resources['help']['antispam-filters'] = dirname(__FILE__).'/help/filters.html';
+}
+if (!isset($__resources['help']['ip-filter']))
+{
+	$__resources['help']['ip-filter'] = dirname(__FILE__).'/help/ip.html';
+}
+if (!isset($__resources['help']['iplookup-filter']))
+{
+	$__resources['help']['iplookup-filter'] = dirname(__FILE__).'/help/iplookup.html';
+}
+if (!isset($__resources['help']['words-filter']))
+{
+	$__resources['help']['words-filter'] = dirname(__FILE__).'/help/words.html';
+}
+
+?>
